Bug 1254226 - [RFE] Katello ignores puppet syntax errors
[RFE] Katello ignores puppet syntax errors
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
http://projects.theforeman.org/issues...
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 09:10 EDT by Stephen Benjamin
Modified: 2017-10-05 13:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-05 13:26:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 11386 None None None 2016-04-26 13:08 EDT

  None (edit)
Description Stephen Benjamin 2015-08-17 09:10:04 EDT
When Katello imports puppet modules we allow them to be uploaded and published but it can fail quietly at the last step - importing them into Foreman side. Foreman ignores quietly directories that have modules with syntax errors, so if you upload one in Katello, it all happens successfully but never shows up in the UI.

We should compare what we expect to be in the puppet environment with what ends up there, and show a warning to the user perhaps with a hint about syntax problems.
Comment 1 Stephen Benjamin 2015-08-17 09:10:05 EDT
Created from redmine issue http://projects.theforeman.org/issues/11386
Comment 3 Bryan Kearney 2015-08-25 14:36:20 EDT
Upstream bug component is Content Management
Comment 4 Bryan Kearney 2016-02-05 14:07:46 EST
Upstream bug component is WebUI
Comment 5 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 6 Bryan Kearney 2016-07-26 11:41:43 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 9 Bryan Kearney 2017-10-05 13:26:06 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.